<%@ page contentType="text/html;charset=GB2312" %>
<MHML>
<BODY>   
<P>文本框提交的用户名为：
   <%// request.setCharacterEncoding("gb2312");
      String textContent=request.getParameter("boy");
     byte  b[]=textContent.getBytes("ISO-8859-1");
     textContent=new String(b);
   %>
<BR>
   <%=textContent%> 
<P> 客户端提交的按钮的名字为：
   <%String buttonName=request.getParameter("submit");
   %>
<BR>
   <%=buttonName%> 
</BODY>
</HTML>